Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Interface BridgeExtension

All Known Implementing Classes:
  BatikBridgeExtension, SVGBridgeExtension

public interface BridgeExtension

This is a Service interface for classes that want to extend the functionality of the Bridge, to support new tags in the rendering tree.

Method Summary
`java.lang.String` | `getAuthor()` This should return the individual or company name responsible for the this implementation of the extension.
`java.lang.String` | `getContactAddress()` This should return a contact address (usually an e-mail address).
`java.lang.String` | `getDescription()` Human readable description of the extension.
`java.util.Iterator` | `getImplementedExtensions()` This should return the list of extensions implemented by this BridgeExtension, these are added to the list of requiredExtensions that the User Agent supports for purposes of the 'switch' element in SVG.
`float` | `getPriority()` Return the priority of this Extension.
`java.lang.String` | `getURL()` This should return a URL where information can be obtained on this extension.
`void` | `registerTags(BridgeContext ctx)` This method should update the BridgeContext with support for the tags in this extension.

Method Detail

### getPriority

    public float getPriority()

  Return the priority of this Extension. Extensions are registered from lowest to highest priority. So if for some reason you need to come before/after another existing extension make sure your priority is lower/higher than theirs.

### getImplementedExtensions

    public java.util.Iterator getImplementedExtensions()

  This should return the list of extensions implemented by this BridgeExtension, these are added to the list of requiredExtensions that the User Agent supports for purposes of the 'switch' element in SVG.

  Returns:
    An iterator containing strings one for each implemented extension.

### getAuthor

    public java.lang.String getAuthor()

  This should return the individual or company name responsible for the this implementation of the extension.

### getContactAddress

    public java.lang.String getContactAddress()

  This should return a contact address (usually an e-mail address).

### getURL

    public java.lang.String getURL()

  This should return a URL where information can be obtained on this extension.

### getDescription

    public java.lang.String getDescription()

  Human readable description of the extension. Perhaps that should be a resource for internationalization? (although I suppose it could be done internally)

### registerTags

    public void registerTags(BridgeContext ctx)

  This method should update the BridgeContext with support for the tags in this extension. In some rare cases it may be necessary to replace existing tag handlers, although this is discouraged.

  Parameters:
    `ctx` - The BridgeContext instance to be updated

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.